## kio-extras 25.08.1+p24.04+vstable+git20250928.1339

=== debian/changelog ===
kio-extras (4:25.08.1+p24.04+vstable+git20250928.1339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:39:44 +0000

kio-extras (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:13:49 +0000

kio-extras (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:44:08 +0000

kio-extras (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:22:52 +0000

kio-extras (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:23:10 +0000

kio-extras (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:12:51 +0000

kio-extras (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:18:21 +0000

kio-extras (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:39:53 +0000

kio-extras (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:27:46 +0000

kio-extras (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:19:46 +0000

kio-extras (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:15:08 +0000

kio-extras (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:21:32 +0000

kio-extras (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:01:17 +0000

kio-extras (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:30:57 +0000

kio-extras (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:33:23 +0000

kio-extras (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:09:59 +0000

kio-extras (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:30:59 +0000

kio-extras (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:21:35 +0000

kio-extras (4:24.01.90-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:53:56 +0000

kio-extras (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 17:53:08 +0000

kio-extras (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:28:50 +0000

kio-extras (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 22:57:34 +0000

kio-extras (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:59:40 +0000

kio-extras (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:29:17 +0000

kio-extras (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:20:09 +0000

kio-extras (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:52:03 +0000

kio-extras (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:29:04 +0000

kio-extras (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:36:06 +0000

kio-extras (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:56:50 +0000

kio-extras (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:21:44 +0000

kio-extras (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:58:36 +0000

kio-extras (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:45:44 +0000

kio-extras (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:08:52 +0000

kio-extras (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:04:26 +0000

kio-extras (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:16:24 +0000

kio-extras (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:04:19 +0000

kio-extras (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:03:35 +0000

kio-extras (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:07:40 +0000

kio-extras (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 13:24:05 +0000

kio-extras (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:32:48 +0000

kio-extras (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:20:08 +0000

kio-extras (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:55:24 +0000

kio-extras (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:25:09 +0000

kio-extras (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:55:24 +0000

kio-extras (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:23:03 +0000

kio-extras (4:20.12.3-0neon) focal; urgency=medium

  * New release



## kio-extras 25.08.1+p24.04+vstable+git20250930.0514

=== debian/changelog ===
kio-extras (4:25.08.1+p24.04+vstable+git20250930.0514-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:14:47 +0000

## kio-extras 25.08.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Applications Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(kio-extras VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)

include(ECMMarkNonGuiExecutable)
include(ECMMarkAsTest)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CheckIncludeFile)
include(CMakePushCheckState)
include(CMakePackageConfigHelpers)
include(FeatureSummary)

option(BUILD_DOC "Whether to build the documentation" ON)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Network Widgets Svg Core5Compat)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate REQUIRED)
endif()

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    ConfigWidgets
    CoreAddons
    DNSSD
    I18n
    KIO
    Solid
    GuiAddons
    SyntaxHighlighting
    KCMUtils
)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS DBusAddons)
endif()

if(LINUX)
    option(WITH_LIBPROXY "Build with libproxy, required for WPAD problem detection" ON)
endif()
if(WITH_LIBPROXY)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Notifications)
    find_package(PkgConfig)
    pkg_check_modules(libproxy REQUIRED IMPORTED_TARGET libproxy-1.0)
    add_feature_info("libproxy" libproxy_FOUND "libproxy for WPAD problem detection (kcm_proxy)")
endif()

find_package(Qt6Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt6Test PROPERTIES
         PURPOSE "Required for tests"
         TYPE OPTIONAL
         )
add_feature_info("Qt6Test" Qt6Test_FOUND "Required for building tests")
if (NOT Qt6Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(QCoro6 REQUIRED COMPONENTS Core)
qcoro_enable_coroutines()

include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

if (NOT WIN32 AND USE_DBUS)
    option(BUILD_ACTIVITIES "Build recentlyused:/, activities:/ KIO workers and fileitem plugin." ON)
    if(BUILD_ACTIVITIES)
        find_package(Qt6Sql REQUIRED)
        find_package(PlasmaActivities REQUIRED)
        find_package(PlasmaActivitiesStats REQUIRED)
    endif()
endif()

if (BUILD_DOC)
    find_package(KF6DocTools ${KF_MIN_VERSION})
    set_package_properties(KF6DocTools PROPERTIES
        DESCRIPTION "Tools to generate documentation"
        TYPE REQUIRED
    )
endif()

find_package(Phonon4Qt6 4.6.60 NO_MODULE)
set_package_properties(Phonon4Qt6 PROPERTIES
   DESCRIPTION "Qt-based audio library"
   PURPOSE "Required for the audio preview plugin"
   TYPE OPTIONAL)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(NOT WIN32)
    # we need a version of samba which has already smbc_set_context(), Alex
    set(SAMBA_REQUIRE_SMBC_SET_CONTEXT TRUE)
    set(SAMBA_REQUIRE_SMBC_OPTION_SET TRUE)
    find_package(Samba)
    set_package_properties(Samba PROPERTIES DESCRIPTION "the SMB client library, a version with smbc_set_context() and smbc_option_set()"
                        URL "https://www.samba.org/"
                        TYPE OPTIONAL
                        PURPOSE "Needed to build the SMB KIO worker"
                        )
endif()

find_package(libssh 0.8.3 MODULE)
set_package_properties(libssh PROPERTIES DESCRIPTION "the SSH library with SFTP support"
                       URL "https://www.libssh.org/"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the SFTP KIO worker"
                      )

find_package(Libmtp 1.1.2)
set_package_properties(Libmtp PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the MTP KIO worker"
                       )

find_package(IMobileDevice)
set_package_properties(IMobileDevice PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the AFC (Apple File Conduit) KIO worker"
                      )

find_package(PList)
set_package_properties(PList PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the AFC (Apple File Conduit) KIO worker"
                      )

check_include_file(utime.h HAVE_UTIME_H)

# ECM's KDECompilerSettings.cmake should take care of enabling supporting on
# 32bit architectures.
# Thorw a fatal error if off_t isn't >=64bit to ensure that large files are working
# as expected.
# BUG: 165449
if(UNIX)
    check_cxx_source_compiles("
        #include <sys/types.h>
        /* Check that off_t can represent 2**63 - 1 correctly.
            We can't simply define LARGE_OFF_T to be 9223372036854775807,
            since some C++ compilers masquerading as C compilers
            incorrectly reject 9223372036854775807.  */
        #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))

        int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721 && LARGE_OFF_T % 2147483647 == 1) ? 1 : -1];
        int main() { return 0; }
    "
    OFFT_IS_64BIT)

    if(NOT OFFT_IS_64BIT)
        message(FATAL_ERROR "Large file support is not enabled.")
    endif()

    find_package(Gperf)
    set_package_properties(Gperf PROPERTIES TYPE OPTIONAL
                           PURPOSE "Needed to build the man KIO worker"
                           )

    find_package(TIRPC)
    set_package_properties(TIRPC PROPERTIES TYPE OPTIONAL
                           PURPOSE "Needed to build the NFS KIO worker"
                           )
else()
    # FIXME: on windows we ignore support until trash gets integrated
endif()

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 6.0
)

add_subdirectory(kcms)

if(BUILD_ACTIVITIES)
  add_subdirectory( activities )
  add_subdirectory( recentlyused )
endif()
add_subdirectory( filter )
if(Phonon4Qt6_FOUND)
    add_subdirectory( kfileaudiopreview )
endif()
add_subdirectory( info )
add_subdirectory( archive )
if (NOT WIN32)
    # does not compile: fish.cpp(41): fatal error C1083: Cannot open include file: 'sys/resource.h': No such file or directory
    # Used for getting the resource limit for closing all child process FDs. Could be completely replaced by fcloseall() if available for Unix or _fcloseall() for Windows, either conditionally on Q_OS_type or using a configure test.
    add_subdirectory( fish )
endif()
add_subdirectory( thumbnail )
if (libssh_FOUND)
    add_subdirectory(sftp)
endif ()

if (NOT WIN32 AND NOT APPLE AND USE_DBUS)
    add_subdirectory( filenamesearch )
endif()

if (Libmtp_FOUND AND USE_DBUS)
  add_subdirectory(mtp)
endif()

if(NOT WIN32)
   if(Gperf_FOUND)
     add_subdirectory( man )
   endif()
   if(TIRPC_FOUND)
     add_subdirectory( nfs )
   endif()
endif()

if(SAMBA_FOUND AND USE_DBUS)
    add_subdirectory(smb)
endif()

if(IMobileDevice_FOUND AND PList_FOUND)
    add_subdirectory(afc)
endif()

configure_file (config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h )

ecm_qt_install_logging_categories(
    EXPORT KIO_EXTRAS
    FILE kio-extras.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

if(BUILD_DOC)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kcms/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio-extras_kcms\")

if(NOT WIN32)
    add_subdirectory(trash)
endif()
add_subdirectory(webshortcuts)
add_subdirectory(proxy)
add_subdirectory(netpref)

=== doc/kcontrol6/CMakeLists.txt ===
add_subdirectory(netpref)
add_subdirectory(proxy)
add_subdirectory(trash)
add_subdirectory(webshortcuts)

=== kcms/webshortcuts/CMakeLists.txt ===
kcoreaddons_add_plugin(kcm_webshortcuts INSTALL_NAMESPACE "plasma/kcms/systemsettings_qwidgets")

target_sources(kcm_webshortcuts PRIVATE
    ikwsopts.cpp
    searchprovider.cpp
    searchproviderdlg.cpp
    searchproviderregistry.cpp
)

kcmutils_generate_desktop_file(kcm_webshortcuts)
ki18n_wrap_ui(kcm_webshortcuts ikwsopts_ui.ui searchproviderdlg_ui.ui)

target_link_libraries(kcm_webshortcuts
    KF6::KCMUtils # KCModule
    KF6::KIOWidgets    # KUriFilter
    KF6::I18n
    KF6::CoreAddons
    Qt::Core5Compat
)

if(USE_DBUS)
  target_link_libraries(kcm_webshortcuts Qt6::DBus)
  target_compile_definitions(kcm_webshortcuts PUBLIC -DWITH_DBUS)
endif()

=== doc/kioworker/gzip/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kioworker6/gzip)

=== doc/kioworker/nfs/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kioworker6/nfs)

=== debian/changelog ===
kio-extras (4:25.08.2-0ubuntu2) resolute; urgency=medium

  * No change rebuild for libplasmaactivities7.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 19:06:27 +0100

kio-extras (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:46:49 +0100

=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               gperf,
               libappimage-dev (>= 0.1.10~) [linux-any],
               libimobiledevice-dev,
               libkdsoapwsdiscoveryclient-dev,
               libkexiv2qt6-dev (>= 25.08.2~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6codecs-dev,
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6dnssd-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6solid-dev (>= 6.0.0~),
               libkf6syntaxhighlighting-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libmtp-dev (>= 1.1.2~),
               libopenexr-dev (>= 3.0~),
               libphonon4qt6-dev (>= 4:4.6.60~),
               libphonon4qt6experimental-dev (>= 4:4.12.0~),
               libplasmaactivities-dev,
               libplasmaactivitiesstats-dev,
               libplist-dev,
               libproxy-dev,
               libsmbclient-dev,
               libssh-dev (>= 0.8.3~),
               libtag-dev (>= 1.11~),
               libtirpc-dev,
               libxcursor-dev,
               pkgconf,
               qcoro-qt6-dev,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               shared-mime-info (>= 1.3~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/network/kio-extras
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
Rules-Requires-Root: no

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin, systemsettings,
Breaks: kio (<< 5.115.0-7~), kio-extras-data (<< 4:24.12.2-2~),
Replaces: kio (<< 5.115.0-7~), kio-extras-data (<< 4:24.12.2-2~),
Description: Extra functionality for kioslaves
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
Breaks: kio-extras (<< 4:24.12.2-2~), kio-mtp (<< 0.75+git20140304-1ubuntu1~),
Replaces: kio-extras (<< 4:24.12.2-2~), kio-mtp (<< 0.75+git20140304-1ubuntu1~),
Description: Extra functionality for kioslaves data files
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files.

## kio-extras 25.08.2+p24.04+vstable+git20251016.0748

=== debian/changelog ===
kio-extras (4:25.08.2+p24.04+vstable+git20251016.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 07:48:28 +0000

kio-extras (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:05:20 +0000

=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gperf,
               kdsoap-ws-discovery-client-dev,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-solid-dev,
               kf6-syntax-highlighting-dev,
               libappimage-dev,
               libappstreamqt-dev,
               libimobiledevice-dev,
               libkdsoap-qt6-dev,
               libkexiv2-dev,
               libmsgsl-dev,
               libmtp-dev,
               libopenexr-dev,
               libproxy-dev,
               libsmbclient-dev,
               libssh-dev,
               libtag1-dev,
               libtirpc-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-activities-stats-dev,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-phonon-dev,
               qt6-svg-dev,
               shared-mime-info
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Git: https://invent.kde.org/neon/kde/kio-extras.git
Vcs-Browser: https://invent.kde.org/neon/kde/kio-extras
Maintainer: Neon CI <neon@kde.org>

Package: kio-extras
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Breaks: kio-extras-data (<< 4:24.01.90), kio-extras6
Replaces: kio-extras-data (<< 4:24.01.90), kio-extras6
Description: Extra functionality for KF6 based kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of KDE network.

Package: kio-extras-dev
Architecture: any
Depends: kf6-kio-dev, kio-extras (= ${binary:Version}), ${misc:Depends}
Breaks: kio-extras6-dev
Replaces: kio-extras6-dev
Description: Extra functionality for KF6 based kioslaves - development files.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the development files.

Package: kio-extras-data
Architecture: all
Depends: kio-extras, ${misc:Depends}
Breaks: kio-extras6-data
Replaces: kio-extras6-data
Description: Dummy transitional
 Transitional dummy package.

## kio-extras 25.08.2+p24.04+vstable+git20251019.0623

=== debian/changelog ===
kio-extras (4:25.08.2+p24.04+vstable+git20251019.0623-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:23:10 +0000

## kio-extras 25.08.2+p24.04+vstable+git20251031.0255

=== debian/changelog ===
kio-extras (4:25.08.2+p24.04+vstable+git20251031.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 02:56:07 +0000

## kio-extras 25.08.2+p24.04+vunstable+git20251015.1322

=== debian/changelog ===
kio-extras (4:25.08.2+p24.04+vunstable+git20251015.1322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:22:44 +0000

## kio-extras 25.08.2+p24.04+vunstable+git20251019.0023

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Applications Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-extras VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -32,26 +32,25 @@
 include(FeatureSummary)
 
 option(BUILD_DOC "Whether to build the documentation" ON)
-
-find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Network Widgets Svg Core5Compat)
-
-if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
-    find_package(Qt6GuiPrivate REQUIRED)
-endif()
+option(BUILD_KCMS "Whether to build the KCMs" ON)
+option(BUILD_FUZZERS "Whether to the thumbnail build fuzzers" OFF)
+option(FUZZERS_USE_QT_MINIMAL_INTEGRATION_PLUGIN "Whether to use the Qt minimal integration plugin for fuzzers" OFF)
+
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Network Widgets Svg)
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Archive
     Config
-    ConfigWidgets
     CoreAddons
-    DNSSD
     I18n
     KIO
     Solid
-    GuiAddons
     SyntaxHighlighting
-    KCMUtils
 )
+
+if(BUILD_KCMS)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KCMUtils)
+endif()
 
 # shall we use DBus?
 # enabled per default on Linux & BSD systems
@@ -85,9 +84,6 @@
     set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
 endif()
 
-find_package(QCoro6 REQUIRED COMPONENTS Core)
-qcoro_enable_coroutines()
-
 include(KDEClangFormat)
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
@@ -108,12 +104,6 @@
         TYPE REQUIRED
     )
 endif()
-
-find_package(Phonon4Qt6 4.6.60 NO_MODULE)
-set_package_properties(Phonon4Qt6 PROPERTIES
-   DESCRIPTION "Qt-based audio library"
-   PURPOSE "Required for the audio preview plugin"
-   TYPE OPTIONAL)
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
@@ -197,16 +187,15 @@
     KF 6.0
 )
 
-add_subdirectory(kcms)
+if(BUILD_KCMS)
+    add_subdirectory( kcms )
+endif()
 
 if(BUILD_ACTIVITIES)
   add_subdirectory( activities )
   add_subdirectory( recentlyused )
 endif()
 add_subdirectory( filter )
-if(Phonon4Qt6_FOUND)
-    add_subdirectory( kfileaudiopreview )
-endif()
 add_subdirectory( info )
 add_subdirectory( archive )
 if (NOT WIN32)
@@ -216,6 +205,8 @@
 endif()
 add_subdirectory( thumbnail )
 if (libssh_FOUND)
+    find_package(QCoro6 REQUIRED COMPONENTS Core)
+    qcoro_enable_coroutines()
     add_subdirectory(sftp)
 endif ()
 
@@ -237,6 +228,7 @@
 endif()
 
 if(SAMBA_FOUND AND USE_DBUS)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS DNSSD)
     add_subdirectory(smb)
 endif()

=== debian/changelog ===
kio-extras (4:25.08.2+p24.04+vunstable+git20251019.0023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:23:20 +0000

## kio-extras 25.08.2+p24.04+vunstable+git20251021.0509

=== debian/changelog ===
kio-extras (4:25.08.2+p24.04+vunstable+git20251021.0509-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:10:05 +0000

## kio-extras 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Applications Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-extras VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -32,25 +32,26 @@
 include(FeatureSummary)
 
 option(BUILD_DOC "Whether to build the documentation" ON)
-option(BUILD_KCMS "Whether to build the KCMs" ON)
-option(BUILD_FUZZERS "Whether to the thumbnail build fuzzers" OFF)
-option(FUZZERS_USE_QT_MINIMAL_INTEGRATION_PLUGIN "Whether to use the Qt minimal integration plugin for fuzzers" OFF)
-
-find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Network Widgets Svg)
+
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Network Widgets Svg Core5Compat)
+
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6GuiPrivate REQUIRED)
+endif()
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Archive
     Config
+    ConfigWidgets
     CoreAddons
+    DNSSD
     I18n
     KIO
     Solid
+    GuiAddons
     SyntaxHighlighting
+    KCMUtils
 )
-
-if(BUILD_KCMS)
-    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KCMUtils)
-endif()
 
 # shall we use DBus?
 # enabled per default on Linux & BSD systems
@@ -84,6 +85,9 @@
     set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
 endif()
 
+find_package(QCoro6 REQUIRED COMPONENTS Core)
+qcoro_enable_coroutines()
+
 include(KDEClangFormat)
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
@@ -104,6 +108,12 @@
         TYPE REQUIRED
     )
 endif()
+
+find_package(Phonon4Qt6 4.6.60 NO_MODULE)
+set_package_properties(Phonon4Qt6 PROPERTIES
+   DESCRIPTION "Qt-based audio library"
+   PURPOSE "Required for the audio preview plugin"
+   TYPE OPTIONAL)
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
@@ -187,15 +197,16 @@
     KF 6.0
 )
 
-if(BUILD_KCMS)
-    add_subdirectory( kcms )
-endif()
+add_subdirectory(kcms)
 
 if(BUILD_ACTIVITIES)
   add_subdirectory( activities )
   add_subdirectory( recentlyused )
 endif()
 add_subdirectory( filter )
+if(Phonon4Qt6_FOUND)
+    add_subdirectory( kfileaudiopreview )
+endif()
 add_subdirectory( info )
 add_subdirectory( archive )
 if (NOT WIN32)
@@ -205,8 +216,6 @@
 endif()
 add_subdirectory( thumbnail )
 if (libssh_FOUND)
-    find_package(QCoro6 REQUIRED COMPONENTS Core)
-    qcoro_enable_coroutines()
     add_subdirectory(sftp)
 endif ()
 
@@ -228,7 +237,6 @@
 endif()
 
 if(SAMBA_FOUND AND USE_DBUS)
-    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS DNSSD)
     add_subdirectory(smb)
 endif()

=== doc/CMakeLists.txt ===
ecm_optional_add_subdirectory(kioworker)
add_subdirectory(kcontrol6)

=== filenamesearch/CMakeLists.txt ===
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"kio6_filenamesearch\")

kcoreaddons_add_plugin(kio_filenamesearch INSTALL_NAMESPACE "kf6/kio")

target_link_libraries(kio_filenamesearch KF6::KIOCore KF6::DBusAddons Qt::Network KF6::KIOCore KF6::I18n)
target_sources(kio_filenamesearch PRIVATE kio_filenamesearch.cpp)

ecm_qt_declare_logging_category(kio_filenamesearch
    HEADER kio_filenamesearch_debug.h
    IDENTIFIER KIO_FILENAMESEARCH
    CATEGORY_NAME kf.kio.workers.filenamesearch
    OLD_CATEGORY_NAMES kio_filenamesearch kf.kio.slaves.filenamesearch
    DESCRIPTION "KIO filenamesearch"
    EXPORT KIO_EXTRAS
)

add_subdirectory(kded)

if(NOT WIN32)
    install(PROGRAMS kio-filenamesearch-grep DESTINATION ${KDE_INSTALL_FULL_DATADIR}/kio_filenamesearch/)
endif()

=== man/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio6_man\")

remove_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_USE_QSTRINGBUILDER
)

find_package(KF6 REQUIRED COMPONENTS Codecs)

# silence warnings for gperf generating code with 0 for null pointers
set(AVOID_NULLPTR_WARNING_FLAG)
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(_flag "-Wno-zero-as-null-pointer-constant")
    check_cxx_compiler_flag(${_flag} _flag_present)
    if(_flag_present)
        set(AVOID_NULLPTR_WARNING_FLAG ${_flag})
    endif()
endif()

if(BUILD_TESTING)
    add_subdirectory( tests )
endif()

# intermediate target/library, also used by the tests
add_library(kio_man_debug OBJECT)
target_link_libraries(kio_man_debug
    PRIVATE Qt::Core
)
ecm_qt_declare_logging_category(kio_man_debug
    HEADER kio_man_debug.h
    IDENTIFIER KIO_MAN_LOG
    CATEGORY_NAME kf.kio.workers.man
    OLD_CATEGORY_NAMES log_kio_man kf.kio.slaves.man
    DESCRIPTION "KIO man"
    EXPORT KIO_EXTRAS
)

set_property(TARGET kio_man_debug PROPERTY POSITION_INDEPENDENT_CODE ON)

########### next target ###############

add_library(kio_man MODULE)
set_target_properties(kio_man PROPERTIES
    OUTPUT_NAME "man"
)

set(kio_man_generated_SRCS)
ecm_gperf_generate(requests.gperf ${CMAKE_CURRENT_BINARY_DIR}/request_gperf.h kio_man_generated_SRCS)
target_sources(kio_man PRIVATE
    ${kio_man_generated_SRCS}
    man2html.cpp
    kio_man.cpp
    request_hash.cpp
)

if (AVOID_NULLPTR_WARNING_FLAG)
    target_compile_options(kio_man PRIVATE ${AVOID_NULLPTR_WARNING_FLAG})
endif()

target_link_libraries(kio_man
    PRIVATE KF6::KIOCore Qt::Widgets KF6::Archive KF6::I18n KF6::Codecs Qt::Network kio_man_debug
)

install(TARGETS kio_man DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kio)

=== sftp/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio6_sftp\")

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

cmake_push_check_state()
list(APPEND CMAKE_REQUIRED_LIBRARIES ssh)
check_symbol_exists(sftp_aio_begin_read "libssh/sftp.h" HAVE_SFTP_AIO)
cmake_pop_check_state()
if(HAVE_SFTP_AIO)
    add_definitions(-DHAVE_SFTP_AIO)
endif()

add_library(kio_sftp MODULE)
set_target_properties(kio_sftp PROPERTIES
    OUTPUT_NAME "sftp"
    LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kio"
)

target_sources(kio_sftp PRIVATE kio_sftp.cpp)

ecm_qt_declare_logging_category(kio_sftp
    HEADER kio_sftp_debug.h
    IDENTIFIER KIO_SFTP_LOG
    CATEGORY_NAME kf.kio.workers.sftp
    OLD_CATEGORY_NAMES log_kio_sftp kf.kio.slaves.sftp
    DESCRIPTION "KIO sftp"
    EXPORT KIO_EXTRAS
)

ecm_qt_declare_logging_category(kio_sftp
    HEADER kio_sftp_trace_debug.h
    IDENTIFIER KIO_SFTP_TRACE_LOG
    CATEGORY_NAME kf.kio.workers.sftp.trace
    OLD_CATEGORY_NAMES log_kio_sftp.trace kf.kio.slaves.sftp.trace
    DESCRIPTION "KIO sftp (trace)"
    EXPORT KIO_EXTRAS
)

if(WIN32)
    target_include_directories(kio_sftp PRIVATE ${QT_MKSPECS_DIR}/default) # for SYMLINKS
endif()

target_link_libraries(kio_sftp
    PRIVATE
        KF6::KIOCore
        KF6::WidgetsAddons # KMessageBox
        KF6::ConfigCore
        KF6::I18n
        Qt::Network
        QCoro::Core
        ssh
)
kde_target_enable_exceptions(kio_sftp PRIVATE)

install(TARGETS kio_sftp DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kio)

=== archive/autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_executable(testkioarchive testkioarchive.cpp)
target_link_libraries(testkioarchive KF6::KIOCore KF6::Archive Qt::Test)
ecm_mark_as_test(testkioarchive)
add_test(NAME testkioarchive COMMAND testkioarchive)

=== kcms/proxy/CMakeLists.txt ===
if(WITH_LIBPROXY)
    add_subdirectory(wpad-detector)
endif()

kcoreaddons_add_plugin(kcm_proxy INSTALL_NAMESPACE "plasma/kcms/systemsettings_qwidgets")

kcmutils_generate_desktop_file(kcm_proxy)

target_sources(kcm_proxy PRIVATE
    kproxydlg.cpp
    ../ksaveioconfig.cpp
)

ki18n_wrap_ui(kcm_proxy kproxydlg.ui)

kconfig_add_kcfg_files(kcm_proxy ../netpref/kioslave.kcfgc)

target_link_libraries(kcm_proxy PRIVATE
    Qt6::Widgets
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::I18n
    KF6::KCMUtils
    KF6::KIOWidgets
)

if(USE_DBUS)
  target_link_libraries(kcm_proxy PRIVATE Qt6::DBus)
  target_compile_definitions(kcm_proxy PUBLIC -DWITH_DBUS)
endif()

=== thumbnail/autotests/CMakeLists.txt ===
# allow coercing cstring to qstring, easier to write
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

find_package(Qt6Test ${QT_MIN_VERSION} CONFIG REQUIRED)

include(ECMAddTests)

ecm_add_tests(
    thumbnailtest.cpp
    LINK_LIBRARIES
        Qt::Test
        KF6::KIOWidgets
)

=== doc/kioworker/fish/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kioworker6/fish)

=== doc/kioworker/smb/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kioworker6/smb)

=== debian/changelog ===
kio-extras (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:24:18 +0000

=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               gperf,
               libappimage-dev (>= 0.1.10~) [linux-any],
               libimobiledevice-dev,
               libkdsoapwsdiscoveryclient-dev,
               libkexiv2qt6-dev (>= 25.08.3~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6codecs-dev,
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6dnssd-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6solid-dev (>= 6.0.0~),
               libkf6syntaxhighlighting-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libmtp-dev (>= 1.1.2~),
               libopenexr-dev (>= 3.0~),
               libphonon4qt6-dev (>= 4:4.6.60~),
               libphonon4qt6experimental-dev (>= 4:4.12.0~),
               libplasmaactivities-dev,
               libplasmaactivitiesstats-dev,
               libplist-dev,
               libproxy-dev,
               libsmbclient-dev,
               libssh-dev (>= 0.8.3~),
               libtag-dev (>= 1.11~),
               libtirpc-dev,
               libxcursor-dev,
               pkgconf,
               qcoro-qt6-dev,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               shared-mime-info (>= 1.3~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/network/kio-extras
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
Rules-Requires-Root: no

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin, systemsettings,
Breaks: kio (<< 5.115.0-7~), kio-extras-data (<< 4:24.12.2-2~),
Replaces: kio (<< 5.115.0-7~), kio-extras-data (<< 4:24.12.2-2~),
Description: Extra functionality for kioslaves
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
Breaks: kio-extras (<< 4:24.12.2-2~), kio-mtp (<< 0.75+git20140304-1ubuntu1~),
Replaces: kio-extras (<< 4:24.12.2-2~), kio-mtp (<< 0.75+git20140304-1ubuntu1~),
Description: Extra functionality for kioslaves data files
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files.

## kio-extras 25.08.3+p24.04+vunstable+git20251202.1043

=== debian/changelog ===
kio-extras (4:25.08.3+p24.04+vunstable+git20251202.1043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:43:47 +0000

kio-extras (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:44:14 +1000

## kio-extras 25.08.3+p24.04+vunstable+git20251206.0721

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-extras VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -32,26 +32,25 @@
 include(FeatureSummary)
 
 option(BUILD_DOC "Whether to build the documentation" ON)
-
-find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Network Widgets Svg Core5Compat)
-
-if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
-    find_package(Qt6GuiPrivate REQUIRED)
-endif()
+option(BUILD_KCMS "Whether to build the KCMs" ON)
+option(BUILD_FUZZERS "Whether to the thumbnail build fuzzers" OFF)
+option(FUZZERS_USE_QT_MINIMAL_INTEGRATION_PLUGIN "Whether to use the Qt minimal integration plugin for fuzzers" OFF)
+
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Network Widgets Svg)
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Archive
     Config
-    ConfigWidgets
     CoreAddons
-    DNSSD
     I18n
     KIO
     Solid
-    GuiAddons
     SyntaxHighlighting
-    KCMUtils
 )
+
+if(BUILD_KCMS)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KCMUtils)
+endif()
 
 # shall we use DBus?
 # enabled per default on Linux & BSD systems
@@ -85,9 +84,6 @@
     set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
 endif()
 
-find_package(QCoro6 REQUIRED COMPONENTS Core)
-qcoro_enable_coroutines()
-
 include(KDEClangFormat)
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
@@ -108,12 +104,6 @@
         TYPE REQUIRED
     )
 endif()
-
-find_package(Phonon4Qt6 4.6.60 NO_MODULE)
-set_package_properties(Phonon4Qt6 PROPERTIES
-   DESCRIPTION "Qt-based audio library"
-   PURPOSE "Required for the audio preview plugin"
-   TYPE OPTIONAL)
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
@@ -129,7 +119,7 @@
                         )
 endif()
 
-find_package(libssh 0.8.3 MODULE)
+find_package(libssh 0.9.8 CONFIG)
 set_package_properties(libssh PROPERTIES DESCRIPTION "the SSH library with SFTP support"
                        URL "https://www.libssh.org/"
                        TYPE OPTIONAL
@@ -197,16 +187,15 @@
     KF 6.0
 )
 
-add_subdirectory(kcms)
+if(BUILD_KCMS)
+    add_subdirectory( kcms )
+endif()
 
 if(BUILD_ACTIVITIES)
   add_subdirectory( activities )
   add_subdirectory( recentlyused )
 endif()
 add_subdirectory( filter )
-if(Phonon4Qt6_FOUND)
-    add_subdirectory( kfileaudiopreview )
-endif()
 add_subdirectory( info )
 add_subdirectory( archive )
 if (NOT WIN32)
@@ -216,6 +205,8 @@
 endif()
 add_subdirectory( thumbnail )
 if (libssh_FOUND)
+    find_package(QCoro6 REQUIRED COMPONENTS Core)
+    qcoro_enable_coroutines()
     add_subdirectory(sftp)
 endif ()
 
@@ -237,6 +228,7 @@
 endif()
 
 if(SAMBA_FOUND AND USE_DBUS)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS DNSSD)
     add_subdirectory(smb)
 endif()

=== debian/changelog ===
kio-extras (4:25.08.3+p24.04+vunstable+git20251206.0721-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:21:42 +0000
